Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.trans
Class TrimmingQualifierTranslator

    java.lang.Object
      org.apache.cayenne.access.trans.QueryAssemblerHelper
          org.apache.cayenne.access.trans.QualifierTranslator
              org.apache.cayenne.access.trans.TrimmingQualifierTranslator

All Implemented Interfaces:
  TraversalHandler

Direct Known Subclasses:
  DB2QualifierTranslator, DerbyQualifierTranslator, OracleQualifierTranslator, PostgresQualifierTranslator

    public class TrimmingQualifierTranslator

extends QualifierTranslator

QualifierTranslator that allows translation of qualifiers that perform comparison with CHAR columns. Some databases require trimming the values for this to work.

Field Summary
`protected java.lang.String` | `trimFunction`

Fields inherited from class org.apache.cayenne.access.trans.QualifierTranslator
`caseInsensitive, matchingObject, objectMatchTranslator`

Fields inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper
`out, queryAssembler, strategy`

Constructor Summary
`TrimmingQualifierTranslator(QueryAssembler queryAssembler, java.lang.String trimFunction)` Constructor for TrimmingQualifierTranslator.

Method Summary
`java.lang.String` | `getTrimFunction()` Returns the trimFunction.
`protected void` | `processColumn(DbAttribute dbAttr)` Adds special handling of CHAR columns.
`protected void` | `processColumnWithQuoteSqlIdentifiers(DbAttribute dbAttr, Expression pathExp)` Adds special handling of CHAR columns.
`void` | `setTrimFunction(java.lang.String trimFunction)` Sets the trimFunction.

Methods inherited from class org.apache.cayenne.access.trans.QualifierTranslator
`appendLiteral, appendObjectMatch, detectObjectMatch, doAppendPart, doAppendPart, endNode, extractQualifier, finishedChild, objectNode, operandForBitwiseAnd, operandForBitwiseNot, operandForBitwiseOr, operandForBitwiseXor, parenthesisNeeded, processRelTermination, setCaseInsensitive, startNode`

Methods inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper
`appendDbPath, appendLikeEscapeCharacter, appendLiteralDirect, appendObjPath, appendPart, getDbEntity, getObjEntity, paramsDbType, processRelTermination`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### trimFunction

    protected java.lang.String trimFunction

Constructor Detail

### TrimmingQualifierTranslator

    public TrimmingQualifierTranslator(QueryAssembler queryAssembler,
                                       java.lang.String trimFunction)

  Constructor for TrimmingQualifierTranslator.

Method Detail

### processColumn

    protected void processColumn(DbAttribute dbAttr)
                          throws java.io.IOException

  Adds special handling of CHAR columns.

  Overrides:
    `processColumn` in class `QueryAssemblerHelper`
  Throws:
    `java.io.IOException`

### processColumnWithQuoteSqlIdentifiers

    protected void processColumnWithQuoteSqlIdentifiers(DbAttribute dbAttr,
                                                        Expression pathExp)
                                                 throws java.io.IOException

  Adds special handling of CHAR columns.

  Overrides:
    `processColumnWithQuoteSqlIdentifiers` in class `QueryAssemblerHelper`
  Throws:
    `java.io.IOException`

### getTrimFunction

    public java.lang.String getTrimFunction()

  Returns the trimFunction.

  Returns:
    String

### setTrimFunction

    public void setTrimFunction(java.lang.String trimFunction)

  Sets the trimFunction.

  Parameters:
    `trimFunction` - The trimFunction to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.